Puedo añadir esta biblioteca en mi gradle archivo:

compile 'com.appeaser.sublimepickerlibrary:sublimepickerlibrary:2.0.0'

Ya he estas dependencias:

dependencies {
compile fileTree(dir: 'libs', include: ['*.jar'])
compile "com.android.support:design:23.+"
compile 'com.android.support:support-v4:23.+'
compile 'com.android.support:support-v13:23.+'
compile 'com.android.support:appcompat-v7:23.+'
compile 'com.android.support:cardview-v7:23.+'
compile 'com.android.support:recyclerview-v7:23.+'

Desde entonces, he añadido SublimePicker biblioteca, añado este error:

Error:no se Puede encontrar com.android.soporte:soporte: v4:23.2.1.
Requerido por:
Android:app:no especificado

Me podrias ayudar a los chicos ?

He fundado este posibles soluciones stackoverflow.com/a/41088967/2666042

OriginalEl autor anthony | 2016-03-25

3 Comentarios

  1. 19

    Que tiene que actualizar el SDK Manager.

    Android: no se Puede encontrar com.android.soporte:soporte: v4:23.2.1

    En cualquier caso, usted debe evitar el uso de la + en su dependendencies.

    El uso de la + usted no será capaz de replicar la versión ya que no sabes que las dependencias que está utilizando.

    Uso:

    compile "com.android.support:design:23.2.1"
    compile 'com.android.support:support-v4:23.2.1'
    compile 'com.android.support:support-v13:23.2.1'
    compile 'com.android.support:appcompat-v7:23.2.1'
    compile 'com.android.support:cardview-v7:23.2.1'
    compile 'com.android.support:recyclerview-v7:23.2.1'
    Gabriele, no es este problema. Mi SDK ha sido actualizado con 23.2.1 versión. El problema es que cuando agrego el SublimePicker de la biblioteca; sin que la construcción está bien!
    Es bastante extraño. ¿Has probado a quitar que las dependencias mediante el 23.2.1 de las bibliotecas de soporte (sin el +) ?
    Sí, es el mismo comportamiento. Puedes probar con una plantilla de proyecto, que acaba de tratar de construir y tendrás este problema.
    Hizo eso. No ayuda. Maven descargado la versión correcta de sí mismo. Gradle sólo apesta.
    Y no funciona. También sin razón aparente. Voy a añadir una respuesta.

    OriginalEl autor Gabriele Mariotti

  2. 2

    Después de hacer clic en «sí» para otro oscuro sugerencia de IntelliJ IDEA de que el siguiente cambio:

    >git diff gradle/wrapper/gradle-wrapper.properties
    diff --git a/gradle/wrapper/gradle-wrapper.properties b/gradle/wrapper/gradle-wrapper.properties
    index b2d6236..1966ba0 100644
    --- a/gradle/wrapper/gradle-wrapper.properties
    +++ b/gradle/wrapper/gradle-wrapper.properties
    @@ -1,6 +1,6 @@
    -#Mon Jan 11 11:12:07 CET 2016
    +#Sat Mar 26 12:30:43 CET 2016
     distributionBase=GRADLE_USER_HOME
     distributionPath=wrapper/dists
     zipStoreBase=GRADLE_USER_HOME
     zipStorePath=wrapper/dists
    -distributionUrl=https\://services.gradle.org/distributions/gradle-2.2.1-bin.zip
    +distributionUrl=https\://services.gradle.org/distributions/gradle-2.2.1-all.zip

    Ahora funciona. Por qué? No sé.

    OriginalEl autor Martin

  3. 1

    Vine aquí porque de la pregunta del título, no se Pudo encontrar com.android.soporte:soporte: v4:23.2.1. Eso significa que no he añadido ningún biblioteca para mi gradle archivo, solo quería construir un proyecto existente.

    Después de ir a través de muy pocas respuestas en preguntas con títulos similares, finalmente encontré una solución que trabajó para mí en Reddit, que básicamente dice que, en el contexto del Android SDK Manager:

    He tenido que instalar el Soporte para Android del Repositorio, y quitar todas las opciones de google de extras (google play services, google repositorio etc.) y tuve mi primera vez con éxito construir!

    Ya que no tenía ninguna de las Google extras instalado de todos modos, yo sólo tenía que añadir el Soporte para Android del Repositorio de 40. Tenga en cuenta que yo no intente desinstalar el (al parecer ahora obsoleto) Android Support Library 23.2.1, pero que sin duda sería un experimento interesante en este punto… aunque esta respuesta sugiere que es necesario de todos modos.

    OriginalEl autor FriendFX

Dejar respuesta

Please enter your comment!
Please enter your name here